Skip site navigation (1) Skip section navigation (2)

wxWidgets version# update (v2.5 --> v2.6) --> pgadmin3 fails @ config check for 'stc' 'ogl'

From: OpenMacNews <OpenMacNews(at)speakeasy(dot)net>
To: pgadmin-hackers <pgadmin-hackers(at)postgresql(dot)org>
Subject: wxWidgets version# update (v2.5 --> v2.6) --> pgadmin3 fails @ config check for 'stc' 'ogl'
Date: 2005-04-12 03:18:32
Message-ID: F53050F2788B390A52D12982@tiedgar (view raw or flat)
Thread:
Lists: pgadmin-hackers
hi all,

i just updated to latest wxWidgets HEAD, which is now reporting as v2.6, rather 
than previouly as v2.5, and building/installing; changed sometime today ...

% ls -al /usr/local/wxWidgets-cvs/bin
	total 1460
	drwxr-xr-x  5 root    admin     170 Apr 11 17:59 .
	drwxr-xr-x  6 root    admin     204 Apr 11 17:59 ..
	lrwxr-xr-x  1 root    admin      69 Apr 11 17:59 wx-config -> 
/usr/local/wxWidgets-cvs/lib/wx/config/mac-unicode-release-static-2.6
	lrwxr-xr-x  1 root    admin       8 Apr 11 17:59 wxrc -> wxrc-2.6
	-rwxr-xr-x  1 blakers wheel 1485428 Apr 11 17:56 wxrc-2.6

% ls -ald /usr/local/wxWidgets-cvs/include/wx-2.6/
	drwxr-xr-x  3 root admin 102 Apr 11 17:59 
/usr/local/wxWidgets-cvs/include/wx-2.6/


there need to be some parallel changes in pgadmin3, currently referencing 
"2.5", otherwise installed wxWidgets includes aren't found in config checks for 
'stc;' & 'ogl', i.e. --

% grep -rln "wx-2.5".
	./acinclude.m4
% grep "wx-2.5" acinclude.m4
  if test ! -f "${WX_HOME}/include/wx-2.5/wx/wx.h"
			if test ! -f "${WX_HOME}/include/wx-2.5/wx/wx.h"
		CPPFLAGS="$CPPFLAGS $WX_NEW_CPPFLAGS -I${WX_HOME}/include/wx-2.5"
		if test ! -f "${WX_HOME}/include/wx-2.5/wx/version.h"
		if test ! -f "${WX_HOME}/include/wx-2.5/wx/stc/stc.h"
		if test ! -f "${WX_HOME}/include/wx-2.5/wx/ogl/ogl.h"

% perl -pi -e 's/wx-2.5/wx-2.6/g' acinclude.m4

% grep "wx-2.5" acinclude.m4
% grep "wx-2.6" acinclude.m4
	 if test ! -f "${WX_HOME}/include/wx-2.6/wx/wx.h"
		 if test ! -f "${WX_HOME}/include/wx-2.6/wx/wx.h"
	 CPPFLAGS="$CPPFLAGS $WX_NEW_CPPFLAGS -I${WX_HOME}/include/wx-2.6"
	 if test ! -f "${WX_HOME}/include/wx-2.6/wx/version.h"
	 if test ! -f "${WX_HOME}/include/wx-2.6/wx/stc/stc.h"
	 if test ! -f "${WX_HOME}/include/wx-2.6/wx/ogl/ogl.h"

richard


Responses

pgadmin-hackers by date

Next:From: Stefan CsomorDate: 2005-04-12 04:11:13
Subject: Re: [wx-dev] Re: OSX Status / Old friend font inheritance...
Previous:From: OpenMacNewsDate: 2005-04-12 01:51:02
Subject: issues w/ 'new' OSX patches

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group